﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Globalization;
using Infragistics.Controls.Grids.Primitives;
using Infragistics;
using System.ComponentModel;

namespace XamGrid_sample
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Item> Items { get; set; }

        public MainPage()
        {
            InitializeComponent();

            Items = new ObservableCollection<Item>();
            for (int i = 1; i <= 5; i++)
            {
                Items.Add(new Item("Item " + i, i, i * 3));
            }

            this.DataContext = this;
        }

        private void xamGrid_CellExitedEditMode(object sender, CellExitedEditingEventArgs e)
        {
            var weightColumn = (sender as XamGrid).Columns["Weight"] as Column;

            if (e.Cell.Column == weightColumn && IsAnyWeightCellValueGreaterThan(20.0))
            {
                weightColumn.AllowToolTips = AllowToolTips.Never;
            }
            else
            {
                weightColumn.AllowToolTips = AllowToolTips.Always;
            }
        }

        private bool IsAnyWeightCellValueGreaterThan(double value)
        {
            foreach (Row row in xamGrid.Rows)
            {
                double cellVal = 0.0;
                double.TryParse(row.Cells["Weight"].Value.ToString(), out cellVal);

                if (cellVal > value)
                    return true;
            }

            return false;
        }
    }
}
